#!/usr/bin/env bash
# shellcheck disable=SC2034

iso_name="melawy-linux"
iso_label="Melawy-Linux-$(date +%Y%m)"
iso_publisher="Melawy Linux <https://melawy.ru>"
iso_application="Melawy Linux Live/Rescue CD"
iso_version="$(date +%Y.%m.%d)"
install_dir="arch"
buildmodes=('iso')
quiet="n"
work_dir="work"
out_dir="out"
# bootmodes=('bios.syslinux.mbr' 'bios.syslinux.eltorito'
#            'uefi-x64.systemd-boot.esp' 'uefi-x64.systemd-boot.eltorito'
#            'uefi-ia32.grub.esp' 'uefi-x64.grub.esp'
#            'uefi-ia32.grub.eltorito' 'uefi-x64.grub.eltorito')
bootmodes=('bios.syslinux.mbr' 'bios.syslinux.eltorito'
           'uefi-x64.systemd-boot.esp' 'uefi-x64.systemd-boot.eltorito')
arch="x86_64"
pacman_conf="airootfs/etc/pacman.conf"
airootfs_image_type="squashfs"
airootfs_image_tool_options=('-comp' 'xz' '-Xbcj' 'x86' '-b' '1M' '-Xdict-size' '1M')
file_permissions=(
  ["/etc/gshadow"]="0:0:400"
  ["/etc/polkit-1/rules.d"]="0:0:750"
  ["/etc/shadow"]="0:0:400"
  ["/etc/sudoers.d"]="0:0:750"
  ["/etc/sudoers.d/g_wheel"]="0:0:440"
  ["/root"]="0:0:750"
  ["/root/.automated_script.sh"]="0:0:755"
  ["/root/.gnupg"]="0:0:700"
  ["/usr/local/bin/GPU-Intel-installer"]="0:0:755"
  ["/usr/local/bin/Installation_guide"]="0:0:755"
  ["/usr/local/bin/all-cores"]="0:0:755"
  ["/usr/local/bin/calamares-offline.sh"]="0:0:755"
  ["/usr/local/bin/calamares-online.sh"]="0:0:755"
  ["/usr/local/bin/choose-mirror"]="0:0:755"
  ["/usr/local/bin/device-info"]="0:0:755"
  ["/usr/local/bin/dmcheck"]="0:0:755"
  ["/usr/local/bin/fix-keys"]="0:0:755"
  ["/usr/local/bin/fsprogschk"]="0:0:755"
  ["/usr/local/bin/livecd-sound"]="0:0:755"
  ["/usr/local/bin/melawy-linux-connection-checker"]="0:0:755"
  ["/usr/local/bin/melawy-linux-final"]="0:0:755"
  ["/usr/local/bin/prepare-live-desktop.sh"]="0:0:755"
  ["/usr/local/bin/remove-nvidia"]="0:0:755"
  ["/usr/local/bin/removeun"]="0:0:755"
  ["/usr/local/bin/removeun-online"]="0:0:755"
  ["/usr/local/bin/services"]="0:0:755"
  ["/usr/local/bin/skel"]="0:0:755"
  ["/usr/local/bin/ucode"]="0:0:755"
  ["/usr/local/bin/vcheck"]="0:0:755"
  )
